<template>
  <div class="container error d-flex flex-column justify-content-center align-items-center">
    <img src="@/assets/images/global/404.gif" alt="Página no encontrada" v-if="error.statusCode === 404">

    <h1 class="title" v-if="error.statusCode === 404">Página no encontrada</h1>
    <h1 v-else>An error occurred</h1>
    <NuxtLink to="/" class="link text-success font-weight-bold text-uppercase">Ir a inicio</NuxtLink>
  </div>
</template>

<script>
export default {
  props: ["error"],
};
</script>

<style lang="scss">
.error {
  height: 500px;

  img {
    max-width: 90%;
    opacity: .9;
  }

  .title {
    font-size: 20px;
  }

  .link {
    text-decoration: underline;
  }
}
</style>
